> ## Documentation Index
> Fetch the complete documentation index at: https://docs.northbeam.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all available metrics

<div className="nb-api-tables nb-field-table">
  ## Headers

  | Header | Description |
  | :- | :- |
  | `Authorization` <span className="nb-req">required</span> | Your Northbeam API key |
  | `Data-Client-ID` <span className="nb-req">required</span> | Your Northbeam client ID |

  ## Responses

  | Status | Description |
  | :- | :- |
  | `200` | Metrics |
  | `401` | Unauthorized |
  | `429` | Too many requests |
  | `500` | Internal server error |

  ### `200` response body

  <div className="nb-table-wrap"><table className="nb-main-table"><thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr className="nb-has-children"><td><code>metrics</code></td><td>object\[]</td><td /></tr><tr className="nb-children-row"><td /><td /><td colSpan={1}><div className="nb-toggle nb-children"><label><input type="checkbox" /><span>Show child attributes</span></label><div className="nb-toggle-body"><div className="nb-child-table"><div className="nb-ct-head"><div>Field</div><div>Type</div><div>Description</div></div><div className="nb-ct-row"><div><code>id</code></div><div>string</div><div /></div><div className="nb-ct-row"><div><code>label</code></div><div>string, nullable</div><div /></div></div></div></div></td></tr></tbody></table></div>
</div>


## OpenAPI

````yaml openapi/data-export-v1.json GET /metrics
openapi: 3.0.0
info:
  title: API - DATA EXPORT - V1
  version: '1'
  description: API for exporting data from Northbeam
  termsOfService: https://www.northbeam.io/terms
servers:
  - url: https://api.northbeam.io/v1/exports
security:
  - api_key: []
    client_id: []
tags:
  - name: Sales Attribution
    description: >-
      Export performance metrics by attribution model, window, and accounting
      mode. Use the helper endpoints to discover the models, metrics, and
      breakdowns available to your account before creating the export.
  - name: Orders
    description: >-
      Export your orders (one row per order) with product information to your
      own GCS or S3 bucket.
  - name: Results
    description: Poll for and download a completed export. Shared by every report type.
paths:
  /metrics:
    get:
      tags:
        - Sales Attribution
      summary: Fetch all available metrics
      responses:
        '200':
          description: Metrics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Metrics'
        '401':
          description: Unauthorized
        '429':
          description: Too many requests
        '500':
          description: Internal server error
components:
  schemas:
    Metrics:
      type: object
      properties:
        metrics:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              label:
                type: string
                nullable: true
  securitySchemes:
    api_key:
      type: apiKey
      name: Authorization
      in: header
    client_id:
      type: apiKey
      name: Data-Client-ID
      in: header

````